{"openapi":"3.1.0","info":{"title":"Coalition Control API","description":"\nCoalition Control API allows you to programmatically fetch your Control data and integrate it within your systems.\n\n\nTo use this API you should start by calling the `auth/login` endpoint with your Coalition credentials to retrieve an access token.\n\nYou should always send this token in the `Authorization` header of your requests as a [Bearer Token](https://swagger.io/docs/specification/authentication/bearer-authentication/), otherwise you will get a `401 Unauthorized` error.\n\n\nThis documentation is divided in the following sections\n\n* [auth](#auth)\n* [user](#user)\n* [asm (Attack Surface Monitoring)](#asm)\n* [er (Executive Risks)](#er)\n","version":"1.0.0"},"paths":{"/status":{"get":{"tags":[],"summary":"Statusz","description":"API status information","operationId":"statusz_status_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Status"}}}}}}},"/asm/entity":{"post":{"tags":["asm"],"summary":"Add Entity","description":"Add watchlist entity.","operationId":"add_entity_asm_entity_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddEntityRequestRoot"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityRelationResponseV1"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}},"security":[{"OAuth2PasswordBearer":["can_update_control_watchlist_entries"]}]}},"/asm/me":{"get":{"tags":["asm"],"summary":"Get My Entity","operationId":"get_my_entity_asm_me_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}},"security":[{"OAuth2PasswordBearer":["is_control_user"]}]}},"/asm/check_blocklist":{"post":{"tags":["asm"],"summary":"Check Blocklist","description":"Check domains against no_cyber_full_scan blocklist.","operationId":"check_blocklist_asm_check_blocklist_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckBlocklistRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CheckBlocklistResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/mapping":{"get":{"tags":["asm"],"summary":"Get Mapping No Entity","operationId":"get_mapping_no_entity_asm_entity_mapping_get","deprecated":true,"security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"domain","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Domain"}},{"name":"type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Type"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityMappingResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}":{"get":{"tags":["asm"],"summary":"Get Entity","description":"Get watchlist entity.","operationId":"get_entity_asm_entity__entity_id__get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityRelationResponseV1"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}},"delete":{"tags":["asm"],"summary":"Delete Entity","description":"Delete watchlist entity.","operationId":"delete_entity_asm_entity__entity_id__delete","security":[{"OAuth2PasswordBearer":["can_update_control_watchlist_entries"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeletedEntity"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/processes":{"get":{"tags":["asm"],"summary":"Get Entity Processes","operationId":"get_entity_processes_asm_entity__entity_id__processes_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Order By"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityProcesses"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/report_url":{"get":{"tags":["asm"],"summary":"Get Entity Report Url","operationId":"get_entity_report_url_asm_entity__entity_id__report_url_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"grantor_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Grantor Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportURLResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/pdf":{"get":{"tags":["asm"],"summary":"Get Entity Pdf","operationId":"get_entity_pdf_asm_entity__entity_id__pdf_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/stats":{"get":{"tags":["asm"],"summary":"Get Entity Stats","operationId":"get_entity_stats_asm_entity__entity_id__stats_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityStatsResponseV2"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/stats/by_day":{"get":{"tags":["asm"],"summary":"Get Entity Stats By Day","operationId":"get_entity_stats_by_day_asm_entity__entity_id__stats_by_day_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EntityStatsByDayResponse"},"title":"Response Get Entity Stats By Day Asm Entity  Entity Id  Stats By Day Get"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/stats/issues_found":{"get":{"tags":["asm"],"summary":"Get Entity Stats Issues","operationId":"get_entity_stats_issues_asm_entity__entity_id__stats_issues_found_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityIssuesFoundResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/stats/log":{"get":{"tags":["asm"],"summary":"Get Entity Stats Log","operationId":"get_entity_stats_log_asm_entity__entity_id__stats_log_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ASMPaginatedResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/assets":{"get":{"tags":["asm"],"summary":"Get Entity Assets","description":"On deprecation path, please use entity/{entity_id}/ip_addresses or entity/{entity_id}/domains","operationId":"get_entity_assets_asm_entity__entity_id__assets_get","deprecated":true,"security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"tech","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tech"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Asset"}},{"name":"domain","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Domain"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"shared","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Shared"}},{"name":"ip_address","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ip Address"}},{"name":"source","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source"}},{"name":"dns_types","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Dns Types"}},{"name":"type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Type"}},{"name":"last_detected_from","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Detected From"}},{"name":"last_detected_to","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Detected To"}},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityAssetOrderBy"},{"type":"null"}],"title":"Order By"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}},{"name":"exclude_removed","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Removed"}},{"name":"exclude_ignored","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Ignored"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Body_get_entity_assets_asm_entity__entity_id__assets_get"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/assets/impacted":{"get":{"tags":["asm"],"summary":"Get Impacted","operationId":"get_impacted_asm_entity__entity_id__assets_impacted_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"min_severity_level","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"info","title":"Min Severity Level"}},{"name":"exclude_removed","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Removed"}},{"name":"exclude_ignored","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Ignored"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssetsImpactSummaryResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/assets/reported":{"get":{"tags":["asm"],"summary":"Get Report Assets","operationId":"get_report_assets_asm_entity__entity_id__assets_reported_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/ReportedAssetStatus"}},{"type":"null"}],"title":"Status"}},{"name":"reason","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reason"}},{"name":"asset_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Asset Type"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"reviewed_by","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reviewed By"}},{"name":"to","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"To"}},{"name":"from_time","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"From Time"}},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityReportedAssetOrderBy"},{"type":"null"}],"title":"Order By"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedReportedAssetResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/assets/{asset_id}":{"get":{"tags":["asm"],"summary":"Get Entity Asset","operationId":"get_entity_asset_asm_entity__entity_id__assets__asset_id__get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"asset_id","in":"path","required":true,"schema":{"type":"string","title":"Asset Id"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/assets/{asset_id}/techs":{"get":{"tags":["asm"],"summary":"Get Entity Asset Techs","operationId":"get_entity_asset_techs_asm_entity__entity_id__assets__asset_id__techs_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"asset_id","in":"path","required":true,"schema":{"type":"string","title":"Asset Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityAssetTechOrderBy"},{"type":"null"}],"title":"Order By"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityAssetTechResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/assets/{asset_id}/findings":{"get":{"tags":["asm"],"summary":"Get Entity Asset Findings","operationId":"get_entity_asset_findings_asm_entity__entity_id__assets__asset_id__findings_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Entity Id"}},{"name":"asset_id","in":"path","required":true,"schema":{"type":"string","title":"Asset Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Asset"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"level","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Level"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Category"}},{"name":"score_category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Score Category"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Search"}},{"name":"tags","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Tags"}},{"name":"datapoint","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Datapoint"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"shared","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Shared"}},{"name":"filters_only","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Filters Only"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}},{"name":"exclude_removed","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Removed"}},{"name":"exclude_ignored","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Ignored"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityFindingsResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/assets/{asset_id}/report":{"post":{"tags":["asm"],"summary":"Create Report Asset","operationId":"create_report_asset_asm_entity__entity_id__assets__asset_id__report_post","security":[{"OAuth2PasswordBearer":["can_create_control_asset_report"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"asset_id","in":"path","required":true,"schema":{"type":"string","title":"Asset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportedAssetRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateReportedAssetResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/ip_addresses":{"get":{"tags":["asm"],"summary":"Get Entity Ip Addresses","operationId":"get_entity_ip_addresses_asm_entity__entity_id__ip_addresses_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"tech","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tech"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Category"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Asset"}},{"name":"domain","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Domain"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"source","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityAssetIPAddressSource"},{"type":"null"}],"title":"Source"}},{"name":"shared","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Shared"}},{"name":"as_name","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"As Name"}},{"name":"last_detected_from","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Detected From"}},{"name":"last_detected_to","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Detected To"}},{"name":"count_findings","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Count Findings"}},{"name":"count_findings_filter","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/CountFindingsInterval"}},{"type":"null"}],"title":"Count Findings Filter"}},{"name":"max_level","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Max Level"}},{"name":"exclude_removed","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Removed"}},{"name":"exclude_ignored","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Ignored"}},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityAssetIPAddressesOrderBy"},{"type":"null"}],"title":"Order By"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityAssetsIpAddressesResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/ip_addresses/{asset_id}":{"get":{"tags":["asm"],"summary":"Get Entity Ip Address","operationId":"get_entity_ip_address_asm_entity__entity_id__ip_addresses__asset_id__get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"asset_id","in":"path","required":true,"schema":{"type":"string","title":"Asset Id"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityAssetsIpAddressesResult"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/ip_addresses/{asset_id}/techs":{"get":{"tags":["asm"],"summary":"Get Entity Ip Address Techs","operationId":"get_entity_ip_address_techs_asm_entity__entity_id__ip_addresses__asset_id__techs_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"asset_id","in":"path","required":true,"schema":{"type":"string","title":"Asset Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityAssetTechOrderBy"},{"type":"null"}],"title":"Order By"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityAssetTechResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/ip_addresses/{asset_id}/findings":{"get":{"tags":["asm"],"summary":"Get Entity Ip Address Findings","operationId":"get_entity_ip_address_findings_asm_entity__entity_id__ip_addresses__asset_id__findings_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Entity Id"}},{"name":"asset_id","in":"path","required":true,"schema":{"type":"string","title":"Asset Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Asset"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"level","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Level"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Category"}},{"name":"score_category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Score Category"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Search"}},{"name":"tags","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Tags"}},{"name":"datapoint","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Datapoint"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"shared","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Shared"}},{"name":"filters_only","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Filters Only"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}},{"name":"exclude_removed","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Removed"}},{"name":"exclude_ignored","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Ignored"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityFindingsResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/domains":{"get":{"tags":["asm"],"summary":"Get Entity Domains","operationId":"get_entity_domains_asm_entity__entity_id__domains_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"tech","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tech"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Category"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Asset"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"domain","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Domain"}},{"name":"ip_address","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ip Address"}},{"name":"source","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityAssetDomainSource"},{"type":"null"}],"title":"Source"}},{"name":"dns_types","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Dns Types"}},{"name":"last_detected_from","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Detected From"}},{"name":"last_detected_to","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Detected To"}},{"name":"count_findings","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Count Findings"}},{"name":"count_findings_filter","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/CountFindingsInterval"}},{"type":"null"}],"title":"Count Findings Filter"}},{"name":"max_level","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Max Level"}},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityAssetDomainOrderBy"},{"type":"null"}],"title":"Order By"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityAssetsDomainsResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/domains/email":{"get":{"tags":["asm"],"summary":"Get Entity Domains Email","operationId":"get_entity_domains_email_asm_entity__entity_id__domains_email_get","security":[{"OAuth2PasswordBearer":["can_read_control_phishing_risk"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityDomainsEmailAggResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/domains/blocklists":{"get":{"tags":["asm"],"summary":"Get Entity Domains Blocklists","operationId":"get_entity_domains_blocklists_asm_entity__entity_id__domains_blocklists_get","security":[{"OAuth2PasswordBearer":["can_read_control_phishing_risk"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"domain","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Domain"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityDomainsBlocklistsAggResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/domains/{asset_id}":{"get":{"tags":["asm"],"summary":"Get Entity Domain","operationId":"get_entity_domain_asm_entity__entity_id__domains__asset_id__get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"asset_id","in":"path","required":true,"schema":{"type":"string","title":"Asset Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"tech","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Tech"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Category"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Asset"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"domain","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Domain"}},{"name":"ip_address","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ip Address"}},{"name":"source","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityAssetDomainSource"},{"type":"null"}],"title":"Source"}},{"name":"dns_types","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Dns Types"}},{"name":"last_detected_from","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Detected From"}},{"name":"last_detected_to","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Detected To"}},{"name":"count_findings","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Count Findings"}},{"name":"count_findings_filter","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/CountFindingsInterval"}},{"type":"null"}],"title":"Count Findings Filter"}},{"name":"max_level","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Max Level"}},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityAssetDomainOrderBy"},{"type":"null"}],"title":"Order By"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityAssetsDomainsResult"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/domains/{asset_id}/techs":{"get":{"tags":["asm"],"summary":"Get Entity Domain Techs","operationId":"get_entity_domain_techs_asm_entity__entity_id__domains__asset_id__techs_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"asset_id","in":"path","required":true,"schema":{"type":"string","title":"Asset Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"order_by","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/EntityAssetTechOrderBy"},{"type":"null"}],"title":"Order By"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityAssetTechResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/domains/{asset_id}/findings":{"get":{"tags":["asm"],"summary":"Get Entity Domain Findings","operationId":"get_entity_domain_findings_asm_entity__entity_id__domains__asset_id__findings_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Entity Id"}},{"name":"asset_id","in":"path","required":true,"schema":{"type":"string","title":"Asset Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Asset"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"level","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Level"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Category"}},{"name":"score_category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Score Category"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Search"}},{"name":"tags","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Tags"}},{"name":"datapoint","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Datapoint"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"shared","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Shared"}},{"name":"filters_only","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Filters Only"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}},{"name":"exclude_removed","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Removed"}},{"name":"exclude_ignored","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Ignored"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityFindingsResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/malware":{"get":{"tags":["asm"],"summary":"Get Entity Malware","operationId":"get_entity_malware_asm_entity__entity_id__malware_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityMalwareAggResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/findings/aggregate":{"get":{"tags":["asm"],"summary":"Get Entity Findings Aggregate","operationId":"get_entity_findings_aggregate_asm_entity__entity_id__findings_aggregate_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"type":"string","title":"Entity Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"exclude_reported","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Reported"}},{"name":"samples","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Samples"}},{"name":"datapoint","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Datapoint"}},{"name":"exclude_datapoint","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Exclude Datapoint"}},{"name":"show_muted_status","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Show Muted Status"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"level","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Level"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Category"}},{"name":"score_category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Score Category"}},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}},{"name":"exclude_removed","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Removed"}},{"name":"exclude_ignored","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Ignored"}},{"name":"muted_status","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/MuteRequestStatus"},{"type":"null"}],"title":"Muted Status"}},{"name":"first_detected_from","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"First Detected From"}},{"name":"first_detected_to","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"First Detected To"}},{"name":"last_detected_from","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Detected From"}},{"name":"last_detected_to","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Last Detected To"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"n_assets","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/ImpactedAssetsInterval"},{"type":"null"}],"title":"N Assets"}},{"name":"scan_status","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/RescanStatus"},{"type":"null"}],"title":"Scan Status"}},{"name":"resolution_status","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/ResolutionRequestStatus"},{"type":"null"}],"title":"Resolution Status"}},{"name":"resolution_types","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/ResolutionTypes"}},{"type":"null"}],"title":"Resolution Types"}},{"name":"no_actions","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"No Actions"}},{"name":"is_contingency","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Is Contingency"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityFindingsAggResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/findings":{"get":{"tags":["asm"],"summary":"Get Entity Findings","operationId":"get_entity_findings_asm_entity__entity_id__findings_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Entity Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Asset"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"level","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Level"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Category"}},{"name":"score_category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Score Category"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Search"}},{"name":"tags","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Tags"}},{"name":"datapoint","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Datapoint"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"shared","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Shared"}},{"name":"filters_only","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Filters Only"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}},{"name":"exclude_removed","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Removed"}},{"name":"exclude_ignored","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Ignored"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityFindingsResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequestError"}}}},"401":{"description":"Return JSON with reason of Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Return JSON with reason of Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"404":{"description":"Return JSON with reason of Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}},"405":{"description":"Return JSON with reason of Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MethodNotAllowedError"}}}},"415":{"description":"Return JSON with reason of Unsupported Media Type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnsupportedMediaTypeError"}}}},"422":{"description":"Return JSON with reason of Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"424":{"description":"Return JSON with reason of Failed Dependency","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FailedDependencyError"}}}},"500":{"description":"Return JSON with reason of Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}},"/asm/entity/{entity_id}/findings/assets":{"get":{"tags":["asm"],"summary":"Get Entity Findings Assets","operationId":"get_entity_findings_assets_asm_entity__entity_id__findings_assets_get","security":[{"OAuth2PasswordBearer":["is_control_user"]}],"parameters":[{"name":"entity_id","in":"path","required":true,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Entity Id"}},{"name":"page","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page"}},{"name":"page_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Page Size"}},{"name":"asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Asset"}},{"name":"source_asset","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Asset"}},{"name":"level","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Level"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Category"}},{"name":"score_category","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Score Category"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Search"}},{"name":"tags","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Tags"}},{"name":"datapoint","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"title":"Datapoint"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Status"}},{"name":"process_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Process Id"}},{"name":"shared","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Shared"}},{"name":"filters_only","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Filters Only"}},{"name":"desc","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Desc"}},{"name":"exclude_removed","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Removed"}},{"name":"exclude_ignored","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Exclude Ignored"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedEntityFindingsAssetsResponse"}}}},"400":{"description":"Return JSON with reason of Bad Request","content":{"application/json":{
[...]
